Update Field
curl --request PUT \
--url https://api.everhour.com/fields/{field_id} \
--header 'Content-Type: application/json' \
--header 'X-Api-Key: <api-key>' \
--data '
{
"name": "field name",
"type": "select",
"format": {
"decimals": 2,
"label": "US$"
},
"icon": "<string>",
"options": [
{
"id": 806,
"name": "option value",
"color": "#FC5500"
}
]
}
'import requests
url = "https://api.everhour.com/fields/{field_id}"
payload = {
"name": "field name",
"type": "select",
"format": {
"decimals": 2,
"label": "US$"
},
"icon": "<string>",
"options": [
{
"id": 806,
"name": "option value",
"color": "#FC5500"
}
]
}
headers = {
"X-Api-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'X-Api-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'field name',
type: 'select',
format: {decimals: 2, label: 'US$'},
icon: '<string>',
options: [{id: 806, name: 'option value', color: '#FC5500'}]
})
};
fetch('https://api.everhour.com/fields/{field_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 406,
"name": "field name",
"type": "date",
"format": {
"decimals": 2,
"label": "US$"
},
"options": [
{
"id": 806,
"name": "option value",
"color": "#FC5500"
}
],
"position": 1,
"icon": "<string>"
}Custom Fields
Update Field
Update a custom field’s name, type-specific options, or visibility.
PUT
/
fields
/
{field_id}
Update Field
Authorizations
Path Parameters
Field ID
Example:
4456411
Body
application/json
⌘I
